<script lang="ts">
import Vue from 'vue';
import { CustomerLogos } from '../home/index.vue';

export default Vue.extend({
  components: {
    CustomerLogos,
  },
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <div class="numbers-container">
    <SlpContainer class="numbers">
      <div class="numbers__gradient-header" />
      <SlpTypography
        v-if="data.title"
        tag="h2"
        variant="heading2-bold"
        class="slp-mb-64"
      >
        {{ data.title }}
      </SlpTypography>
      <SlpRow v-for="(items, index) in data.rows" :key="index">
        <SlpColumn :cols="4"></SlpColumn>
        <SlpColumn
          v-for="(item, i) in items.item"
          :key="i"
          :cols="item.col"
          class="numbers__table-item"
        >
          <div
            class="mission__description"
            v-html="$md.render(item.title)"
          ></div>
          <a
            v-if="item.link"
            :href="item.link"
            class="numbers__number-link"
            :data-ga-name="item.data_ga_name"
            :data-ga-location="item.data_ga_location"
          >
            <SlpTypography
              tag="h2"
              variant="heading2-bold"
              class="numbers__number slp-color-text-50"
            >
              {{ item.number }}
            </SlpTypography>
          </a>
          <SlpTypography
            v-else
            tag="h2"
            variant="heading2-bold"
            class="numbers__number"
          >
            {{ item.number }}
          </SlpTypography>
        </SlpColumn>
      </SlpRow>
      <SlpRow>
        <SlpColumn :cols="4"></SlpColumn>
        <SlpColumn :cols="8" class="numbers__cta">
          <div
            class="numbers__cta-title"
            v-html="$md.render(data.cta_title)"
          ></div>
          <SlpButton
            variant="primary"
            :data-ga-name="data.data_ga_name"
            :data-ga-location="data.data_ga_location"
            :href="data.cta_link"
            >{{ data.cta_text }}
          </SlpButton>
        </SlpColumn>
      </SlpRow>
      <CustomerLogos :data="data.customer_logos_block" :variant="'white'" />
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.numbers-container {
  background-color: $color-surface-700;
  padding-top: $spacing-96;
  color: $color-text-50;
  margin-top: $spacing-96;
  margin-bottom: $spacing-96;
}
.numbers {
  &__gradient-header {
    background: linear-gradient(90deg, #ffc8c6 0%, #b3bded 100%);
    height: 4px;
    width: 95px;
    border-radius: 10px;
    margin-bottom: $spacing-16;
  }

  &__table-item {
    display: flex;
    justify-content: space-between;
    padding: $spacing-32 0;
    align-items: center;
  }

  &__number {
    text-align: right;
  }

  &__number-link:hover {
    text-decoration: underline;
    color: $color-text-50;
  }

  &__table-item.slp-col-md-8 {
    border-top: 2px solid $color-surface-400;
  }

  &__table-item.slp-col-md-4:last-child {
    padding-left: $spacing-16;
    position: relative;

    &:before {
      content: '';
      width: calc(100% - 16px);
      height: 2px;
      background-color: $color-surface-400;
      position: absolute;
      right: 0;
      top: 0;
    }
  }

  &__table-item.slp-col-md-4:nth-of-type(2) {
    padding-right: $spacing-16;
    position: relative;

    &:before {
      content: '';
      width: calc(100% - 16px);
      height: 2px;
      background-color: $color-surface-400;
      position: absolute;
      left: 0;
      top: 0;
    }
  }

  &__cta {
    display: flex;
    justify-content: space-between;
    background: linear-gradient(90.32deg, #e3d6ff 0%, #ffd4d8 100%);
    border-radius: 4px;
    padding: $spacing-24;
    color: $color-text-300;
  }

  &__cta-title {
    font-size: 20px;
    line-height: 24px;
    font-weight: 600;
  }

  @media (max-width: $breakpoint-md) {
    &__table-item.slp-col-md-4:nth-of-type(2),
    &__table-item.slp-col-md-4:last-child,
    &__table-item.slp-col-md-8 {
      width: 100%;
      padding-left: 0;
      padding-right: 0;
      border-top: 2px solid $color-surface-400;

      &:before {
        display: none;
      }
    }

    &__cta {
      flex-wrap: wrap;

      .slp-btn {
        width: 100%;
        display: block;
        margin-top: $spacing-16;
      }
    }
  }
}
</style>
